function S = SingleL(Omega, D) 

M_Omega=Omega.nbPoints;
M = D.nbPoints;
S = zeros(M_Omega, M);



for j = 1:M_Omega   
    
    norm_xy_square = (Omega.points(1,j)-D.points(1,:)).^2 ...
        +(Omega.points(2,j)-D.points(2,:)).^2;
   
    
    S(j,:) = 1/(4*pi)*log(norm_xy_square(1:M)).*D.sigma(1:M);
end


end

